#include <psemek/journal/event.hpp>

#include <chrono>
#include <format>

namespace psemek::journal
{

	std::string current_time()
	{
#ifndef __EMSCRIPTEN__
		const auto now = std::chrono::system_clock::now();
		return std::format("{:%FT%TZ}", now);
#else
		return "";
#endif
	}

}
